Subject: Re: bug#69338: invalid-regexp error in FAST-DEMO

From: Robert Weiner <[email-masked]>
Date: Sat, 24 Feb 2024 13:10:32 -0500

You need one more line to activate Hyperbole minor-mode:

(hyperbole-mode 1)

-- rsw

On Sat, Feb 24, 2024 at 9:07 AM Mats Lidell via Bug-hyperbole via <
[email-masked]> wrote:

> Hi Christopher,
>
> > Christopher Howard writes:
> > Hi, I am running into difficult learning hyperbole due to an error I am
> seeing in the FAST-DEMO.
> >
> > If I try M-RET on links like so in the FAST-DEMO
> >
> > "HY-NEWS#ORG MODE:2:6"
> >
> > I get this error:
> >
> > ```
> > Debugger entered--Lisp error: (invalid-regexp "Unmatched ) or \\)")
> >   hpath:remote-at-p()
> >   hpath:at-p()
> >   ibtypes::pathname()
> >   ibut:at-p()
> >   hbut:at-p()
> >   hkey-execute(nil)
> >   action-key-internal()
> >   action-key()
> >   hkey-either(nil)
> >   funcall-interactively(hkey-either nil)
> >   command-execute(hkey-either)
> > ```
> >
> > I tried rerunning this with
> >
> > ```
> > guix shell --pure emacs emacs-hyperbole
> > emacs -q
> > ```
> >
> > but am still getting the same error. Here is my system information:
> >
> > ```
> [...]
> > name: emacs-hyperbole
> > version: 8.0.0
>
> Thanks for trying out Hyperbole.
>
> As you point out there is a problem in version 8.0.0. This has been fixed
> in
> the development version. You can install that from the elpa-devel
> archive. Sorry for the inconvenience.
>
> This is likely a duplicate of bug#67747. Copying from there:
>
> Please install the latest pre-release of Hyperbole (has many fixes and is
> almost a year newer) and restart your Emacs.  Then see if your bug still
> exists and re-report it or close this bug.
>
> Install Hyperbole:  (progn (require 'package)
>                            (add-to-list 'package-archives
>                                         '("elpa-devel" . "
> https://elpa.gnu.org/devel/"))
>                            (package-install 'hyperbole))
>
> Yours
> --
> %% Mats
>
> PS. Version 9.0.0 is available through elpa at the moment but was relased
> by
> mistake by us earlier this week. We are working on releasing a version
> 9.0.1
> that will be the proper 9.0.0 release and it will correct the above
> mentioned
> error. DS.
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>